java.security.interfaces

## Interface RSAPrivateCrtKey

All Superinterfaces:
  Key, PrivateKey, RSAKey, RSAPrivateKey, Serializable

    public interface RSAPrivateCrtKey
    extends RSAPrivateKey

The interface to an RSA private key, as defined in the PKCS#1 standard, using the Chinese Remainder Theorem (CRT) information values.

See Also:
  `RSAPrivateKey`

### Field Summary

Fields
`static long` `serialVersionUID`

### Method Summary

Methods
`BigInteger` `getCrtCoefficient()` Returns the crtCoefficient.
`BigInteger` `getPrimeExponentP()` Returns the primeExponentP.
`BigInteger` `getPrimeExponentQ()` Returns the primeExponentQ.
`BigInteger` `getPrimeP()` Returns the primeP.
`BigInteger` `getPrimeQ()` Returns the primeQ.
`BigInteger` `getPublicExponent()` Returns the public exponent.

### Methods inherited from interface java.security.interfaces.RSAPrivateKey

`getPrivateExponent`

### Methods inherited from interface java.security.Key

`getAlgorithm, getEncoded, getFormat`

### Methods inherited from interface java.security.interfaces.RSAKey

`getModulus`

### Field Detail

#### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

### Method Detail

#### getPublicExponent

    BigInteger getPublicExponent()

Returns the public exponent.

Returns:
  the public exponent

#### getPrimeP

    BigInteger getPrimeP()

Returns the primeP.

Returns:
  the primeP

#### getPrimeQ

    BigInteger getPrimeQ()

Returns the primeQ.

Returns:
  the primeQ

#### getPrimeExponentP

    BigInteger getPrimeExponentP()

Returns the primeExponentP.

Returns:
  the primeExponentP

#### getPrimeExponentQ

    BigInteger getPrimeExponentQ()

Returns the primeExponentQ.

Returns:
  the primeExponentQ

#### getCrtCoefficient

    BigInteger getCrtCoefficient()

Returns the crtCoefficient.

Returns:
  the crtCoefficient

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.